## FMAGConfMonitor FMAGConfMonitor — The GConf Monitoring Class Definition |

## Functions

#define | FMA_GCONF_MONITOR()
#define | FMA_IS_GCONF_MONITOR()
FMAGConfMonitor * | fma_gconf_monitor_new ()
void | fma_gconf_monitor_release_monitors ()

## Types and Values

#define | FMA_TYPE_GCONF_MONITOR
| FMAGConfMonitor

## Includes

    #include <filemanager-actions/fma-gconf-monitor.h>

## Description

This class manages the GConf monitoring. It is used to monitor both the GConf provider and the GConf runtime preferences.

Starting with FileManager-Actions 3.1.0, GConf, whether it is used as a preference storage subsystem or as an I/O provider, is deprecated.

## Functions

### FMA_GCONF_MONITOR()

    #define FMA_GCONF_MONITOR( object )           ( G_TYPE_CHECK_INSTANCE_CAST( object, FMA_TYPE_GCONF_MONITOR, FMAGConfMonitor ))

`FMA_GCONF_MONITOR` is deprecated and should not be used in newly-written code.

### FMA_IS_GCONF_MONITOR()

    #define FMA_IS_GCONF_MONITOR( object )        ( G_TYPE_CHECK_INSTANCE_TYPE( object, FMA_TYPE_GCONF_MONITOR ))

`FMA_IS_GCONF_MONITOR` is deprecated and should not be used in newly-written code.

### fma_gconf_monitor_new ()

    FMAGConfMonitor *
    fma_gconf_monitor_new (const gchar *path,
                           GConfClientNotifyFunc handler,
                           gpointer user_data);

`fma_gconf_monitor_new` has been deprecated since version 3.1 and should not be used in newly-written code.

Initializes the monitoring of a GConf path.

This monitoring will only be stopped when object is released, via `g_object_unref()`.

#### Parameters

path | the absolute path to monitor. |
handler | the function to be triggered by the monitor. |
user_data | data to pass to the `handler` . |

#### Returns

a new FMAGConfMonitor object, which will monitor the given path, triggeering the `handler` in case of modifications.

Since: 2.30

### fma_gconf_monitor_release_monitors ()

    void
    fma_gconf_monitor_release_monitors (GList *monitors);

`fma_gconf_monitor_release_monitors` has been deprecated since version 3.1 and should not be used in newly-written code.

Release allocated monitors.

#### Parameters

monitors | a list of FMAGConfMonitors. |

Since: 2.30

## Types and Values

### FMA_TYPE_GCONF_MONITOR

    #define FMA_TYPE_GCONF_MONITOR                ( fma_gconf_monitor_get_type())

`FMA_TYPE_GCONF_MONITOR` is deprecated and should not be used in newly-written code.

### FMAGConfMonitor

    typedef struct {
    } FMAGConfMonitor;

`FMAGConfMonitor` is deprecated and should not be used in newly-written code.